# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/schemas/{full_name_arg}`

Gets the specified schema within the metastore.
 The caller must be a metastore admin, the owner of the schema, or a user that has the **USE_SCHEMA** privilege on the schema.

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, optional)
  Full name of the schema.

## Query parameters

- `include_browse` (boolean, optional)
  Whether to include schemas in the response for which the principal can only access selective metadata for

## Returns

Returns the SchemaInfo object.

## Response

```json
{
  "name": "string",
  "catalog_name": "string",
  "owner": "string",
  "comment": "string",
  "storage_root": "string",
  "enable_predictive_optimization": "string",
  "metastore_id": "string",
  "full_name": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "catalog_type": "string",
  "storage_location": "string",
  "effective_predictive_optimization_flag": {
    "value": "string",
    "inherited_from_type": "string",
    "inherited_from_name": "string"
  },
  "schema_id": "string",
  "browse_only": true,
  "custom_max_retention_hours": 0,
  "properties": {},
  "options": {}
}
```

